package v1;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ReadCSV  {

	// Reads prices from CSV file
	
	public static double [][][] Prices(int nrScenarios, int nrPorts, int nrDays, int currentDay, int nrRunDays){

		int rowNr = 0;
		int colNr = 0;

		nrDays = 100; 
		int currentScenario = 0;

		double [][][] portPrices = new double[nrScenarios][nrPorts][nrDays];

		BufferedReader input;
		try {
			input = new BufferedReader(
					new FileReader("../day" + currentDay + ".csv"));
			String dataRow = input.readLine(); 
			
			//REMOVING ALL PRICES PAST THE TOTAL TRADE HORIZON
			int remainingPriceDays = nrRunDays - currentDay;
			
			while(currentScenario<nrScenarios){
				while (dataRow != null && rowNr<7){
					String[] dataArray = dataRow.split(",");
					for (String item:dataArray) { 
						//	System.out.println(Double.parseDouble(item));
				//		System.out.println("Row: " + rowNr + ". Col: " + colNr);
						if(colNr<remainingPriceDays){
						portPrices[currentScenario][rowNr][colNr] = Double.parseDouble(item);
						//	System.out.println(Double.parseDouble(item));
						colNr++;
						//		System.out.print(item + "\t");
						}
					}
					rowNr++;
				//	System.out.println("!!!!!" + colNr);
					colNr = 0;
					dataRow = input.readLine(); // Read next line of data.
				}
				// Close the file once all data has been read.
				currentScenario++;
				rowNr = 0;
			}
			input.close();
		}
		catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

		return portPrices;

	}

}
