package v1;
import java.util.ArrayList;


public class Grid {
	
	public int [][] portCoords = {{11,4},{12,14},{0,16},{7,0},{4,6},{6,17},{3,12}};
	private boolean [] isBuyPort = {true, true, true, true, false,false,false};

	public int verSize;
	public int horSize;
	
	public ArrayList<Port> ports;
	
	private double [][] portPrices;
	

	
	public Grid(int nrPriceDays, int nrPorts, int verSize, int horSize) {
		this.verSize = verSize;
		this.horSize = horSize;
		portPrices = new double [nrPorts][nrPriceDays];
		ports = new ArrayList<Port>();
		for (int i = 1; i <= isBuyPort.length; i++) {
			Port port = new Port(i, isBuyPort[i-1], portPrices[i-1]);
			ports.add(port);
		}
	}
		
	public String toString() {
		return null;
		
	}
	
	public int getNrOfBuyPorts(){
		int nrOfBuyPorts = 0;
		for (Port  port : ports) {
			if(port.isBuyPort()){
				nrOfBuyPorts++;
			}
		}
		return nrOfBuyPorts;
	}	
	
}
